/**
 * @file    GoStatus.cs
 *
 * @internal
 * Copyright (C) 2022-2023 by LMI Technologies Inc.
 * Licensed under the MIT License.
 * Redistributed files must retain the above copyright notice.
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GoPxLSdk
{
    public enum GoStatus
    {
        ErrorState = -1000,
        ErrorNotFound = -999,
        ErrorCommand = -998,
        ErrorParameter = -997,
        ErrorUnimplemented = -996,
        ErrorMemory = -994,
        ErrorTimeout = -993,
        ErrorIncomplete = -992,
        ErrorStream = -991,
        ErrorClosed = -990,
        ErrorVersion = -989,
        ErrorAbort = -988,
        ErrorAlreadyExists = -987,
        ErrorNetwork = -986,
        ErrorHeap = -985,
        ErrorFormat = -984,
        ErrorReadOnly = -983,
        ErrorWriteOnly = -982,
        ErrorBusy = -981,
        ErrorConflict = -980,
        ErrorOs = -979,
        ErrorDevice = -978,
        ErrorFull = -977,
        ErrorInProgress = -976,
        Error = 0,
        Ok = 1,
    };
}
