#!/usr/bin/python

import os
import sys

def Generate():

    herePath = os.path.dirname(os.path.realpath(__file__))
    workDir = os.path.normpath(os.path.join(herePath, '..', '..'))
    sys.path.append(workDir)

    print('Generating solution file...')
    import Platform.scripts.Utils.kGenerator as generator

    # Generate Visual Studio projects/solution.
    generator.WriteSolution(
        os.path.join(herePath, '..', 'GoPxLSdk.xml'), 
        ['MsvcChooser', 'Msvc2017', 'Msvc2019', 'Msvc2022'], 
        ['Win64']
    )

    # Generate Makefiles for Linux platforms.
    generator.WriteSolution(os.path.join(herePath, '..', 'GoPxLSdk.xml'), 
        ['GnuMk_Linux_X64'],
        ['Linux_X64']
    )

if __name__ == '__main__':
    Generate()
