// 
// KApiDef.cpp
// 
// Copyright (C) 2014-2023 by LMI Technologies Inc.
// Licensed under the MIT License.
// Redistributed files must retain the above copyright notice.
// 
#include "kApiNet/KApiDef.h"
#include "kApiNet/KApiLib.h"
#include "kApiNet/KType.h"

KDefineEnum(KStatus, kStatus)

KDefinePrimative(K8u, k8u)
KDefinePrimative(K8s, k8s)

KDefinePrimative(K16u, k16u)
KDefinePrimative(K16s, k16s)

KDefinePrimative(K32u, k32u)
KDefinePrimative(K32s, k32s)

KDefinePrimative(K64u, k64u)
KDefinePrimative(K64s, k64s)

KDefinePrimative(KSize, kSize)
KDefinePrimative(KSSize, kSSize)

KDefinePrimative(K32f, k32f)
KDefinePrimative(K64f, k64f)

KDefinePrimative(KByte, kByte)
KDefinePrimative(KChar, kChar)
KDefinePrimative(KBool, kBool)

KDefinePrimative(KVersion, kVersion)

KDefineStruct(KPointer, kPointer)

KDefineVoid(KVoid, kVoid)

KDefineText(KText16, kText16)
KDefineText(KText32, kText32)
KDefineText(KText64, kText64)
KDefineText(KText128, kText128)
KDefineText(KText256, kText256)

KDefineStruct(KArgb, kArgb)
KDefineStruct(KRgb, kRgb)

KDefineEnum(KCfa, kCfa)
KDefineEnum(KComparison, kComparison)
KDefineEnum(KPixelFormat, kPixelFormat)

KDefineStruct(KPoint16s, kPoint16s)
KDefineStruct(KPoint32s, kPoint32s)
KDefineStruct(KPoint32f, kPoint32f)
KDefineStruct(KPoint64f, kPoint64f)

KDefineStruct(KPoint3d16s, kPoint3d16s)
KDefineStruct(KPoint3d32s, kPoint3d32s)
KDefineStruct(KPoint3d32f, kPoint3d32f)
KDefineStruct(KPoint3d64f, kPoint3d64f)

KDefineStruct(KRect16s, kRect16s)
KDefineStruct(KRect32s, kRect32s)
KDefineStruct(KRect32f, kRect32f)
KDefineStruct(KRect64f, kRect64f)

KDefineStruct(KRect3d64f, kRect3d64f)

KDefineStruct(KRotatedRect32s, kRotatedRect32s)
KDefineStruct(KRotatedRect32f, kRotatedRect32f)

KDefineEnum(KSeekOrigin, kSeekOrigin)

KDefineEnum(KFileMode, kFileMode)

KDefineEnum(KHttpStatus, kHttpStatus)
